{
  "name": "monstera-app",
  "version": "0.1.0",
  "private": true,
  "license": "MIT",
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "lint:fix": "next lint --fix",
    "test": "jest --watch",
    "test:unit": "jest --collect-coverage",
    "postbuild": "cpy 'models/**/*.swagger.yaml' public/openapi --flat",
    "openapi:yaml": "typeconv -f ts -t oapi --oapi-format yaml --output-extension 'swagger.yaml' --output-directory 'models/openapi' 'types/**/*.ts'"
  },
  "dependencies": {
    "@next/font": "^13.0.7",
    "@types/geojson": "^7946.0.10",
    "@types/node": "18.11.10",
    "@types/react": "18.0.25",
    "@types/react-dom": "18.0.9",
    "axios": "^1.2.1",
    "eslint": "^8.26.0",
    "eslint-config-next": "^12.3.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "leaflet": "^1.9.3",
    "mysql2": "^2.3.3",
    "next": "^13.0.7",
    "next-swagger-doc": "^0.3.6",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-leaflet": "^4.2.0",
    "swagger-ui-react": "^4.15.5",
    "typescript": "4.9.3"
  },
  "devDependencies": {
    "@next/eslint-plugin-next": "^13.0.7",
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^13.4.0",
    "@types/leaflet": "^1.9.0",
    "@types/swagger-ui-react": "^4.11.0",
    "@typescript-eslint/eslint-plugin": "^5.41.0",
    "@typescript-eslint/parser": "^5.41.0",
    "autoprefixer": "^10.4.13",
    "clsx": "^1.2.1",
    "cpy-cli": "^4.2.0",
    "jest": "^29.3.1",
    "jest-environment-jsdom": "^29.3.1",
    "postcss": "^8.4.20",
    "prettier": "^2.8.1",
    "tailwindcss": "^3.2.4",
    "typeconv": "^2.1.0"
  }
}
